////////////////////////////////////////////////////////////////////////////////
// CM2AutoUpdateInterface.pas
// --------------------------
// This unit contains Auto update interface for all plugin types.
//
// Last Edit: June, 20th 2006
// Certified: NA
//
// This unit is coded in : Delphi 7
//
// Unit is copyright (c) 2005 - 2006, The CoolMon Project
////////////////////////////////////////////////////////////////////////////////
unit CM2AutoUpdateInterface;

interface

Type
 ICM2AutoUpdate = Interface
  ['{164E31E4-CD60-4E78-A0A4-CD28178B1899}']
  // If you don't support auto update, then send an empty string or
  // don't support the ICM2AutoUpdate interface
  Function UpdateFileURL(OUT URL: Pchar): HResult; stdcall;
 End;

implementation

{

 AutoUpdateFile = 'http://www.coolmon.org/update/testplugin.upd';

function TCM2GEN_Test.UpdateFileURL(out URL: Pchar): HResult;
begin
 URL := PChar(AutoUpdateFile);
 Result := S_OK;
end;

}
end.
